
<html>

<head>
    <title>Первый урок</title>
    <style type="text/css">
        .basic {
            color: blue;
        }
        .special {
            color: red;
        }
        #counter {  
            font-weight: bold;
        }
    </style>
    <script>
        var counter = 0;
        function buttonClicked() {
            counter++;
            document.getElementById("counter").textContent = counter;
            var cls = "basic";
            if (counter % 2 == 1) {
                cls = "special"
            }
            var hl = document.getElementById("highlight");
            hl.classList.remove("basic");
            hl.classList.remove("special");
            hl.classList.add(cls);
        }
    </script>
</head>

<body>
    <h1>Это первый урок по Web</h1>
    <p>Тут мы будем всякое пытаться выводить</p>
    <p style="color:green">Абзац где все стили настроены прямо в теге</p>
    <p style="color:green">Абзац где все стили настроены прямо в теге 2</p>
    <p class="basic">Абзац где стили настроены через class</p>
    <p id="highlight" class="basic">Абзац где стили настроены через class 2</p>
    <p>Значение абзаца, который ниже реагирует на кнопку</p>
    <p>Кнопка была нажата: <span id="counter">0</span> раз.</p>
    <div>
        <button onclick="buttonClicked()">Нажми!</button>
    </div>
</body>

</html>